function Create(self)
	self.DelayTimer = Timer();
	self.movespeed = 10;
	self.futurevel = Vector(0,0);
end

function Update(self)
	self.ToDelete = false;
	self.ToSettle = false;
	self.AngularVel = 0;
	self.RotAngle = 0;

	if not(MovableMan:IsParticle(self.cursorglow)) then
		self.cursorglow = CreateMOPixel("Particle Mine Cart Cursor Glow","Mine Cart.rte");
		self.cursorglow.Pos = self.Pos;
		MovableMan:AddParticle(self.cursorglow);
	elseif MovableMan:IsParticle(self.cursorglow) then
		self.cursorglow.ToDelete = false;
		self.cursorglow.ToSettle = false;
		self.cursorglow.Pos = self.Pos;
		self.cursorglow.PinStrength = 1000;
		self.cursorglow.Age = 1;
	end

--	if not(self:GetController():IsState(Controller.WEAPON_FIRE)) and self.DelayTimer:IsPastSimMS(500) then
--		self.ToDelete = true;
--		self.LifeTime = 0;
--	end

	if self:GetController():IsMouseControlled() == false then
		if self:GetController():IsState(Controller.HOLD_UP) then
			self.futurevel = self.futurevel + Vector(0,-1);
		end

		if self:GetController():IsState(Controller.HOLD_DOWN) then
			self.futurevel = self.futurevel + Vector(0,1);
		end

		if self:GetController():IsState(Controller.HOLD_LEFT) then
			self.futurevel = self.futurevel + Vector(-1,0);
		end

		if self:GetController():IsState(Controller.HOLD_RIGHT) then
			self.futurevel = self.futurevel + Vector(1,0);
		end
	elseif self:GetController():IsMouseControlled() == true then
		self.futurevel = self.futurevel + self:GetController().MouseMovement;
	end

	if self.futurevel == Vector(0,0) then
		self.Vel = ((SceneMan.GlobalAcc * TimerMan.DeltaTimeSecs)*-1);
	elseif not(self.futurevel == Vector(0,0)) then
		if self:GetController():IsMouseControlled() == true then
			self.Vel = (self.futurevel) + ((SceneMan.GlobalAcc * TimerMan.DeltaTimeSecs)*-1);
		elseif self:GetController():IsMouseControlled() == false then
			self.Vel = self.futurevel:SetMagnitude(self.movespeed) + ((SceneMan.GlobalAcc * TimerMan.DeltaTimeSecs)*-1);
		end
	end

	self.futurevel = Vector(0,0);
end

function Destroy(self)
	ActivityMan:GetActivity():ReportDeath(self.Team,-1);

	if MovableMan:IsParticle(self.cursorglow) then
		self.cursorglow.ToDelete = true;
	end

end